public static interface StompEndpointBuilderFactory.StompBuilders
| Modifier and Type | Method and Description |
|---|---|
default StompEndpointBuilderFactory.StompEndpointBuilder |
stomp(String path)
Stomp (camel-stomp)
Send and rececive messages to/from STOMP (Simple Text Oriented
Messaging Protocol) compliant message brokers.
|
default StompEndpointBuilderFactory.StompEndpointBuilder |
stomp(String componentName,
String path)
Stomp (camel-stomp)
Send and rececive messages to/from STOMP (Simple Text Oriented
Messaging Protocol) compliant message brokers.
|
default StompEndpointBuilderFactory.StompEndpointBuilder stomp(String path)
stomp:destination
Path parameter: destination (required)
Name of the queuepath - destinationdefault StompEndpointBuilderFactory.StompEndpointBuilder stomp(String componentName, String path)
stomp:destination
Path parameter: destination (required)
Name of the queuecomponentName - to use a custom component name for the endpoint
instead of the default namepath - destinationApache Camel